=== debian/changelog ===
kraken2 (2.0.8~beta-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:06 +0100

kraken2 (2.0.8~beta-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 13:36:17 +0200

kraken2 (2.0.7~beta-1) unstable; urgency=low

  * Initial release (Closes: #924567)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Mar 2019 14:13:17 +0100
