=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export KRAKEN2_DIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)

%:
	dh $@  --sourcedirectory=src

override_dh_link:
	dh_link
	for file in $(KRAKEN2_DIR)/kraken* ; do \
	    if ! echo $${file} | grep -q '\.pm$$' ; then \
		ln -s ../lib/$(DEB_SOURCE)/`basename $${file}` $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/`basename $${file}` ; \
	    fi \
	done

override_dh_auto_install:
	dh_auto_install -- KRAKEN2_DIR=$(KRAKEN2_DIR)
	./install_kraken2.sh $(KRAKEN2_DIR)

override_dh_install:
	dh_install
	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done
