=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/kraken2
 Vcs-Git: https://salsa.debian.org/med-team/kraken2.git
 Homepage: https://www.ccb.jhu.edu/software/kraken2/
+Rules-Requires-Root: no
 
 Package: kraken2
 Architecture: any
