=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,8 @@
         mmscanner.cc
         omp_hack.cc
         aa_translate.cc
-        utilities.cc)
+        utilities.cc
+        hyperloglogplus.cc)
 
 add_executable(estimate_capacity
         estimate_capacity.cc
@@ -33,7 +34,8 @@
         compact_hash.cc
         omp_hack.cc
         taxonomy.cc
-        reports.cc)
+        reports.cc
+        hyperloglogplus.cc)
 
 add_executable(lookup_accession_numbers
         lookup_accession_numbers.cc
