=== src/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 all: $(PROGS)
 
 install: $(PROGS)
-	cp $(PROGS) $(KRAKEN2_DIR)/
+	cp $(PROGS) "$(KRAKEN2_DIR)/"
 
 clean:
 	rm -f *.o $(PROGS)
