=== debian/changelog ===
kraken2 (2.1.2-1) unstable; urgency=medium

  * Team Upload.
  * d/watch: Fix watch regex
  * New upstream version 2.1.2
  * d/p/hardening+debug_options.patch: Propagate more hardening flags
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:51:26 +0530
