=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/kraken2
 Vcs-Git: https://salsa.debian.org/med-team/kraken2.git
 Homepage: https://www.ccb.jhu.edu/software/kraken2/
