=== debian/watch ===
version=4

opts="uversionmangle=s/-beta/~beta/" \
  https://github.com/DerrickWood/kraken2/releases .*/archive/.*/v?@ANY_VERSION@@ARCHIVE_EXT@
