## kraken2 2.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,4 +23,8 @@
     message("ERROR: OpenMP could not be found.")
 endif(OPENMP_FOUND)
 
+find_package(Threads REQUIRED)
+find_package(ZLIB REQUIRED)
+include_directories(${ZLIB_INCLUDE_DIRS})
+
 add_subdirectory(src)
