=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,3 +42,9 @@
         mmap_file.cc
         omp_hack.cc
         utilities.cc)
+
+add_executable(k2mask
+        k2mask.cc
+        seqreader.cc)
+
+target_link_libraries(dustmasker ${ZLIB_LIBRARIES} Threads::Threads)
