=== debian/changelog ===
kraken2 (2.1.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: zlib1g-dev
  * Depends: python3

 -- Andreas Tille <tille@debian.org>  Tue, 28 Nov 2023 20:23:52 +0100

kraken2 (2.1.2-2) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 17:38:23 +0100
