=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
+               zlib1g-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/kraken2
 Vcs-Git: https://salsa.debian.org/med-team/kraken2.git
 Homepage: https://www.ccb.jhu.edu/software/kraken2/
@@ -14,6 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         python3,
          ncbi-blast+
 Description: taxonomic classification system using exact k-mer matches
  Kraken 2 is the newest version of Kraken, a taxonomic classification
